# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ perl(Config.pm) perl(Dist/Zilla/Role/FileMunger.pm) perl(Encode.pm) perl(Exporter/Tidy.pm) perl(ExtUtils/CChecker.pm) perl(FFI/Platypus.pm) perl(Math/Int64.pm) perl(Module/Build.pm) perl(Module/Build/FFI.pm) perl(Moose.pm) perl(Pod/Abstract.pm) perl(Scalar/Util.pm) perl(Test/More.pm) perl(base.pm) perl(open.pm)
# END SourceDeps(oneline)
%filter_from_requires /^perl.FFI.Platypus.ConfigData.pm./d
%define module_name FFI-Util
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.17
Release: alt4
Summary: Some useful pointer utilities when writing FFI modules (Deprecated)
Group: Development/Perl
License: perl
URL: https://metacpan.org/pod/FFI::Util

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PL/PLICEASE/%{module_name}-%{version}.tar.gz

%description
Note: This module has largely been obsoleted by the FFI::Platypus manpage, which
I recommend that you use instead of this module.  This module may be removed
from CPAN at a future date, but not before 31 January 2017.

This module provides some useful memory manipulation that is either difficult
or impossible in pure Perl.  It was originally intended to be used by
the Archive::Libarchive::FFI manpage, but it may be useful in other projects.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE author.yml Changes
%perl_vendor_archlib/auto/*
%perl_vendor_archlib/F*
%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 0.17-alt4
- rebuild with perl 5.38

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 0.17-alt3
- rebuild with perl 5.34.0

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 0.17-alt2
- rebuild with perl 5.30

* Sun Feb 24 2019 Igor Vlasenko <viy@altlinux.ru> 0.17-alt1
- initial import by package builder

